[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCustomTaskDialog.Create

Constructor for the class instance.

## Declaration

Source position: dialogs.pp line 811

`public constructor TCustomTaskDialog.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited method on entry. Create allocates resources needed for properties like:

- Buttons
- RadioButtons
- QueryChoices
- CustomMainIcon
- CustomFooterIcon
- ProgressBar

Create sets the default values for the following properties:

CommonButtons
  Set to the value [tcbOk, tcbCancel].
DefaultButton
  Set to tcbOK.
Flags
  Set to [tfAllowDialogCancellation].
FooterIcon
  Set to tdiNone.
MainIcon
  Set to tdiInformation.
Handle
  Set to the unassigned handle value (0).

## See also

TCustomTaskDialog.Buttons |  | Collection with the buttons for the Task dialog.
TCustomTaskDialog.CommonButtons |  | Set of common buttons displayed on the Task dialog.
TCustomTaskDialog.DefaultButton |  | Index of the default button, from the set in the CommonButtons property.
TCustomTaskDialog.Flags |  | Set of options enabled for the Task dialog.
TCustomTaskDialog.FooterIcon |  | Icon for the footer area displayed at the bottom of the dialog.
TCustomTaskDialog.MainIcon |  | Icon displayed beside the Title for the dialog.
TCustomTaskDialog.QueryChoices |  | Predefined values for the query control on the task dialog.
TCustomTaskDialog.RadioButtons |  | Collection with the optional radio buttons defined for the Task dialog.
TCustomTaskDialog.ProgressBar |  | Contains information used to configure and update a progress bar enabled on the task dialog.